Subject: Gaussian Flame War - a balanced view

From: "Curt M. Breneman" <[email-masked]>
Date: Wed, 12 Dec 2001 22:34:32 -0500

Folks,

I feel that I should "weigh in" on this issue - I've known Mike Frisch
since the
late 80's and I've always felt that he and the rest of the Gaussian,
Inc. team
are good people and have a great deal of integrity. In addition, their
efforts
have for decades provided a high quality, continuously-evolving (and
stable) QM
environment for general use.   They don't deserve the negative language
that has
appeared in certain recent postings.  While their makefile distribution
policy
(and non-competition policy) appears unusual at first, the fact that
they supply
source code is also unique in the world of high-functionality software
products.  In order to understand their reluctance to allow free
distribution of
software components (such as modified makefiles), one has only to look
back at
their experiences with trying to support an early release of Gaussian
when
several "unauthorized" modifications were floating around.  This led to
a loss
of quality control over the code that reflected negatively on their
ability to
fix problems, but did not seem to absolve them of public blame when
specific
functions didn't work correctly.   I believe that this exasperating
experience
was one of the factors that prompted the formation of a company to
distribute
and maintain the software and to provide version control.

Mike and the rest of the Gaussian group exist in a competitive market -
If their
policies are perceived by the consumers as problematic, then the market
will
adjust accordingly.  I believe that they are astute enough to adapt as
needed.
In my view, they add quite a bit of value to the computational chemistry

community.

These are my $0.02;  added to make sure that the argument is balanced.

Curt Breneman
RPI Chemistry

(p.s. I've always had prompt response from Mike or Doug when we've had
problems
with the installation or use of new versions of Gaussian.)

Mike Frisch wrote:

> >
> > Rick Venable writes:
> >
> > This brings up another point-- most of Gaussian, Inc.'s work is also

> > "enhancements", to intellectual property (blueprints?) that is
theirs
> > only by purchase (from original author John Pople; I wonder how he
feels
> > about this).  And one never seems to hear from Gaussian, Inc. (on
CCL,
> > anyway) about how to solve many of the problems that are posed on
the
> > mailing list.  Based on the number of such questions, and a couple
> > recent posts, it would also seem that Gaussian, Inc. doesn't offer
much
> > support to its paying customers in private, either.  A classic case
of
> > "cash cow" syndrome.
>
> This is an unfair characterization. Berny Schlegel, Krishnan
> Raghavachari, and I have contributed substantially to the program for
> over twenty years, and many others have contributed nearly as long. To

> describe any version of Gaussian in the last two decades as
> "enhancements" of the original author John Pople is grossly inaccurate

> and does not give proper scientific credit to the long list of
> authors.  John Pople always acknowledged the work of others.  In fact,

> Gaussian 82 had important contributions from outside Pople's group,
> the majority of improvements in Gaussian 86, 88, 90, and 92 were from
> outside of his group, and it did not contribute at all to Gaussian 94
> or 98.
>
> A glance at the references for methods added to Gaussian in the last
> twenty years will point to dozens of papers by the other people
> involved describing new science done by the participants in the form
> of new models and algorithms developed and implemented in the
> software.  Some of this was done entirely by employees of Gaussian,
> Inc., some was done by academic groups who we help to support, and
> most was done via active scientific collaborations in which both the
> intellectual content and the code include contributions from employees

> and from academic collaborators.  Here are a few examples, in no
> particular order with respect to date or importance:
>
>     a.  TD-DFT (Scuseria group and Gaussian).
>     b.  Solvation models (Numerous people at Gaussian, and in the
>         Tomasi and Barone groups).
>     c.  ONIOM (Morokuma's group with contributions from people at
Gaussian).
>     d.  Magnetic properties (all done at Gaussian).
>     e.  Semi-direct analytic MP2 frequencies and direct CIS
frequencies
>         (all done at Gaussian).
>     f.  Direct MCSCF energies, gradients, and frequencies (a
collaboration
>         between people at Gaussian and Robb's group).
>     g.  Conical intersection location (Schlegel and Robb).
>     h.  Linear scaling methods (Scuseria's group and Gaussian).
>     i.  Second order IRC optimization (Schlegel group).
>     j.  Redundant internal coordinate optimization (Schlegel group and

>         Gaussian).
>     k.  CBS methods (Petersson group and Gaussian).
>     l.  Direct stability and QCSCF (Gaussian).
>
> This is just a partial list of new features and models, and does not
> include substantial improvements to efficiency or reliability of the
> algorithms, almost all of which were done entirely at Gaussian.
>
> Leaving aside the numerous contributions made by Berny Schlegel,
> Krishnan Raghavachari, Gary Trucks, myself, and many others to
> versions through Gaussian 92, I think I can safely claim that few
> users of Gaussian 98 old enough to have used Gaussian 92 would agree
> with you that there is no difference in functionality between them.
> In fact, I think most of our users appreciate the substantial (and
> successful) efforts we've made to extend the program to address new
> areas of chemistry which our customers had indicated were important to

> them.
>
> You may not like what we've done, and everyone is certainly welcome to

> choose whatever software they find most useful to solve their
> problems, but to assert that all of our contributions over the last
> two decades are trivial enhancements to existing code ignores a great
> deal of published literature.  Likewise, to assert that Gaussian,
> Inc. has not added value to our software ignores both the new
> predictive capabilities added in each version and the improvements in
> the performance and reliability of the software.
>
> Gaussian is operated by Ph.D. scientists who take our own research and

> the development of our field very seriously.  To facilitate the
> development of the field (and in contrast with normal business
> practice), we publish our methods and algorithms, have no secret
> parameters, make source code available, offer low cost site-wide
> licenses to academics and provide academics with free technical
> support.  While low license fees limit our resources both with respect

> to new research and to technical support capacity, I think that
> overall our record with respect to technical innovation is excellent
> and that the timeliness and quality of our responses to user questions

> is far better than most software companies provide even when charging
> for support, let alone at no cost.
>
> Mike Frisch
> Gaussian, Inc.
>
> (In the above, I have simplified the descriptions of research by
> listing only the research group(s) involved in the example efforts, in

> order to illustrate the types of contributions.  This is not meant to
> downplay the very important work of all the individuals at Gaussian
> and within the academic groups who have contributed to recent versions

> of our software, including James Cheeseman, John Montgomery, Slava
> Zakrzewski, Eric Stratmann, John Burant, Stephan Dapprich, Odon
> Farkas, Maurizio Cossi, Roberto Cammi, Bennedetta Mennucci, Chris
> Pomelli, Carlo Adamo, Simon Clifford, Joe Octerski, Philippe Ayala,
> Nadia Rega, Pedro Salvador, Joe Dannenberg, David Malick, Angela
> Rabuck, James Foresman, Istvan Kamaromi, Roberto Gomperts, Mohammad
> Al-Laham, Todd Keith, Chun Yang Peng, and Richard Wong.)
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher:
gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]